Bug 229126 - devel/libslang2: Undefined symbol "tgetent"
Summary: devel/libslang2: Undefined symbol "tgetent"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-18 20:41 UTC by Oleg Ginzburg
Modified: 2018-07-23 15:22 UTC (History)
1 user (show)

See Also:
garga: maintainer-feedback+
garga: merge-quarterly?


Attachments
devel/libslang2: link with ncurses lib (532 bytes, text/plain)
2018-06-18 20:41 UTC, Oleg Ginzburg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2018-06-18 20:41:22 UTC
Created attachment 194374 [details]
devel/libslang2: link with ncurses lib

It seems that the functional of libslang2 on FreeBSD broken from 2.3.2 update. E.g mc (midnight commander):

% mc
/usr/local/lib/libslang.so.2: Undefined symbol "tgetent"

I see in libslang2 NEWS file notes related to curses:
---
Miscellaneous
=============
  
  Support was added to support 32-bit terminfo database
  entries introduced by ncurses 6.1 (version 2.3.2)
---

But I'm not sure that the ncurses library is part of the libslang ( I did not have time to study the source code ) but looks like we need to link libslang2 to ncurses because it is used here:

src/sldisply.c:extern int tgetent(char *, char *);

Quick fix: add USES and LDFLAGS for lcurses
Comment 1 mikhail.rokhin 2018-07-21 18:52:05 UTC
Affects all?

Me too. Reinstall/rebuild doesn't help.
Comment 2 Oleg Ginzburg 2018-07-21 18:57:38 UTC
(In reply to mikhail.rokhin from comment #1)
I get this problem on all my last two FreeBSD ;-) so I think it's affects all)

Did you try patch from attachments? I hope the maintainer will also sooner or later meet this problem
Comment 3 mikhail.rokhin 2018-07-22 18:51:40 UTC
(In reply to olevole from comment #2)
No. I'm waiting for maintainer))
Comment 4 mikhail.rokhin 2018-07-22 18:53:32 UTC
(In reply to olevole from comment #2)
I mean you may want to change the bug option

Importance:	--- Affects Only Me --> Affects All

It may catch maintainer faster.
Comment 5 Renato Botelho freebsd_committer 2018-07-23 13:41:05 UTC
I'll work on this really soon. Thanks
Comment 6 commit-hook freebsd_committer 2018-07-23 14:25:15 UTC
A commit references this bug:

Author: garga
Date: Mon Jul 23 14:25:05 UTC 2018
New revision: 475177
URL: https://svnweb.freebsd.org/changeset/ports/475177

Log:
  devel/libslang2: Add missing LDFLAGS

  Without linking libslang2.so.2.3.2 against libncurses a dependant binary
  is going to file with `Undefined symbol "tgetent"` error.

  PR:		229126
  Submitted by:	olevole@olevole.ru
  MFH:		2018Q3
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/devel/libslang2/Makefile
Comment 7 commit-hook freebsd_committer 2018-07-23 14:59:43 UTC
A commit references this bug:

Author: garga
Date: Mon Jul 23 14:58:57 UTC 2018
New revision: 475179
URL: https://svnweb.freebsd.org/changeset/ports/475179

Log:
  MFH: r475177

  devel/libslang2: Add missing LDFLAGS

  Without linking libslang2.so.2.3.2 against libncurses a dependant binary
  is going to file with `Undefined symbol "tgetent"` error.

  PR:		229126
  Submitted by:	olevole@olevole.ru
  Sponsored by:	Rubicon Communications, LLC (Netgate)
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/devel/libslang2/Makefile